NAME
OpenAPI::Client::OpenAI::Path::organization-projects-project_id-certificates-activate - Documentation for the /organization/projects/{project_id}/certificates/activate path.
OPERATIONS
POST /organization/projects/{project_id}/certificates/activate
activateProjectCertificates
$client->activate_project_certificates({
body => { ... },
});
Activate certificates at the project level.
You can atomically and idempotently activate up to 10 certificates at a time.
Path/query parameters
project_id(in path, required, string) - The ID of the project.
Responses
200 - Certificates activated successfully.
Content-Type: application/json
Example:
{
"data" : [
{
"active" : false,
"certificate_details" : {
"expires_at" : 0,
"valid_at" : 0
},
"created_at" : 0,
"id" : "string",
"name" : "string",
"object" : "organization.project.certificate"
}
],
"object" : "organization.project.certificate.activation"
}
SCHEMAS
OrganizationProjectCertificate
Properties:
active(boolean, required) - Whether the certificate is currently active at the project level.certificate_details(object, required)created_at(integer, required) - The Unix timestamp (in seconds) of when the certificate was uploaded.id(string, required) - The identifier, which can be referenced in API endpointsname(anyOf, required) - The name of the certificate.object(string, required) - The object type, which is alwaysorganization.project.certificate.Allowed values: organization.project.certificate
OrganizationProjectCertificateActivationResponse
Properties:
data(array of OrganizationProjectCertificate, required)object(string, required) - The project certificate activation result type.Allowed values: organization.project.certificate.activation
ToggleCertificatesRequest
Properties:
certificate_ids(array of string, required)
SEE ALSO
COPYRIGHT AND LICENSE
Copyright (C) 2023-2026 by Nelson Ferraz
This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.14.0 or, at your option, any later version of Perl 5 you may have available.